@echo off

REM Comment out this line to specify your JAVA path:
REM SET JAVA_HOME=<path_to_java>


set OLDDIR=%CD%
cd /d %~dp0%

set APP_BASEDIR=%CD%
set JAVA_COMMAND=%JAVA_HOME%\bin\java
set APP_LOG_FILE=%APP_BASEDIR%\data\jdbc-synchro-4.2.3.log

if not exist "%JAVA_HOME%" goto no_java

echo --------------------------------------------------------------------
echo Launch with:
echo   basedir:  %APP_BASEDIR%
echo   jre home: %JAVA_HOME%
echo   log file: %APP_LOG_FILE%
echo --------------------------------------------------------------------

set OLDDIR=%CD%
cd /d %~dp0%

call "%JAVA_COMMAND%" -Xmx1024M "-Dsynchro.log.file=%APP_LOG_FILE%" -jar jdbc-synchro-4.2.3.jar %1 %2 %3 %4 %5 %6 %7 %8 %9
set exitcode=%ERRORLEVEL%
echo Stop with exitcode: %exitcode%
cd %OLDDIR%
exit /b %exitcode%
goto end

no_java:
echo "Java not detected ! Please set environment variable JAVA_HOME before launching,"
echo "or edit the file 'launch.bat' and insert this line :"
echo " SET JAVA_HOME=<path_to_java>"

:end
